<?php
namespace App\Mail;

use App\User;
use App\Services\Invoice;
use App\Models\ShoppingOrder;
use Illuminate\Bus\Queueable;
use Illuminate\Mail\Mailable;
use Illuminate\Queue\SerializesModels;
use Storage;
use Illuminate\Contracts\Queue\ShouldQueue;

class MailLogistic extends Mailable
{
    use Queueable, SerializesModels;

    protected $shopping_order;

    public $subject;


    public function __construct(ShoppingOrder $shopping_order)
    {
        $this->shopping_order = $shopping_order;
        if($shopping_order->user_white_label){
            //Bei allen, die ein eigenes Logo haben
            $this->subject = 'Partner (mit Logo) - Firma (Vorname Nachname)';
        }else{
            //Bei allen, die kein Tattoostudio sind 
            $this->subject = 'Partner - Firma (Vorname Nachname)';
        }
        
    }
    
    public function build()
    {
       
    
        $title =  false;
        $copy1line = false;

        $filename = Invoice::getFilename($this->shopping_order);   
        $path = Invoice::getDownloadPath($this->shopping_order);
        if (!Storage::disk('public')->exists($path)) {
            return;
        }
        $file = Storage::disk('public')->path($path);
        $mime = Storage::disk('public')->mimeType($path);


        return $this->view('emails.blank')->with([
            'title' => $title,
            'copy1line' =>  $copy1line,
        ])->attach($file,[
            'as' => $filename,
            'mime' => $mime,
        ]); // attach  file;
    }
}